:root {
  /* Defaults */
  --font-family: -apple-system, system-ui, sans-serif;
  --font-family-monospace:
    Consolas, Menlo, Monaco, Andale Mono WT, Andale Mono, Lucida Console,
    Lucida Sans Typewriter, DejaVu Sans Mono, Bitstream Vera Sans Mono,
    Liberation Mono, Nimbus Mono L, Courier New, Courier, monospace;
  --font-size: 18px;

  :lang(ar) {
    --font-family: "Markazi Text";
    --font-size: 22px;
    letter-spacing: 0px;
    /* Fixes bug on Safari where Arabic letters are spaced incorrectly */
  }

  /* Theme colors */
  --green: #15b770;
  --grey: #aaaaaa;

  --text-color: #fbfaf2;
  --text-color-link: var(--text-color);
  --text-color-link-active: var(--text-color);
  --text-color-link-visited: var(--text-color);

  --background-color: #1e1a13;
}

/* https://www.a11yproject.com/posts/how-to-hide-content/ */
.visually-hidden:not(:focus):not(:active) {
  clip: rect(0 0 0 0);
  clip-path: inset(50%);
  height: 1px;
  overflow: hidden;
  position: absolute;
  white-space: nowrap;
  width: 1px;
}

/* Global stylesheet */
* {
  box-sizing: border-box;
}

@view-transition {
  navigation: auto;
}

html,
body {
  padding: 0;
  margin: 0 auto;
  font-family: var(--font-family);
  color: var(--text-color);
  background-color: var(--background-color);
  font-size: var(--font-size);
}

p {
  line-height: 1.5;
  margin-top: 10px;
}

li {
  line-height: 1.5;
}

a[href] {
  color: var(--text-color-link);
}

a[href]:visited {
  color: var(--text-color-link-visited);
}

a[href]:hover,
a[href]:active {
  color: var(--text-color-link-active);
  text-decoration: underline;
}

h1 {
  font-family: "Libre Franklin", sans-serif;
  font-weight: 900;
  font-size: 48px;
  line-height: 48px;
  color: var(--green);
}

h1:lang(ar) {
  font-family: "Noto Kufi Arabic", "Markazi Text", serif;
}

.regular-spacing {
  margin-top: 32px;
  margin-left: 32px;
  margin-right: 32px;
  margin-bottom: 32px;

  @media (max-width: 649px) {
    margin-top: 16px;
    margin-bottom: 16px;
  }
}

.dotted-border-bottom {
  padding-bottom: 16px;
  background-image: linear-gradient(to right,
      white 10%,
      rgba(255, 255, 255, 0) 20%);
  background-position: bottom;
  background-size: 10px 1px;
  background-repeat: repeat-x;
}

.text-copy {
  max-width: 820px;
  font-family: "Georgia", serif;
  font-weight: 400;
  line-height: 26px;
  max-width: 760px;

  a[href],
  a[href]:visited,
  a[href]:hover,
  a[href]:active {
    color: var(--green);
    text-decoration: none;
  }

  a[href]:hover,
  a[href]:active {
    text-decoration: underline;
  }
}

.text-copy:lang(ar) {
  font-family: "Markazi Text", serif;
}

a[href],
.about-page a[href] {
  color: var(--text-color);
  text-decoration: underline;
  text-underline-offset: 4px;
  text-decoration-color: var(--green);
  text-decoration-thickness: 3px;
}

a[href]:hover,
a[href]:active,
.about-page a[href]:hover,
.about-page a[href]:active,
.navs a[href]:hover,
.navs a[href]:active {
  opacity: 1;
  text-decoration-color: var(--green);
  text-decoration-thickness: 3px;
}

a[href].card,
footer a[href] {
  text-decoration: none;
}